<?php

/********************************************************************************
	- MemHT Portal -
	
	Copyright (C) 2007-2008 by Miltenovik Manojlo
	http://www.memht.com
	
	This program is free software; you can redistribute it and/or modify
	it under the terms of the GNU General Public License as published by
	the Free Software Foundation; either version 2 of the License, or
	(at your opinion) any later version.
	
	This program is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
	GNU General Public License for more details.
	
	You should have received a copy of the GNU General Public License along
	with this program; if not, see <http://www.gnu.org/licenses/> (GPLv2)
	or write to the Free Software Foundation, Inc., 51 Franklin Street,
	Fifth Floor, Boston, MA02110-1301, USA.
		
********************************************************************************/

	if (stristr(htmlentities($_SERVER['PHP_SELF']), "block_tags.php")) {
		die("<table style='padding: 2px; border: 1px solid #999; background-color: #EEE; font-family: Verdana; font-size: 10px;' align='center'><tr><td><b>Error:</b> This file cannot be opened directly!</td></tr></table>");
	}
	
	global $dblink;
	
	echo "<div align='justify'>";
		$result = $dblink->get_list("SELECT tag,COUNT(tag) AS tot FROM memht_tags GROUP BY tag ORDER BY RAND() LIMIT 100");
		foreach ($result as $row) {
			$tag = outCode($row['tag']);
			$num = intval($row['tot']);

			if ($num<=1) { $dim = "xs"; }
			else if ($num<=5) { $dim = "s"; }
			else if ($num<=20) { $dim = "m"; }
			else if ($num<=50) { $dim = "l"; }
			else { $dim = "xl"; }
			
			echo "<span style='padding: 0 2px;' class='$dim'><a href='index.php?page=tags&op=list&tag=".urlencode($tag)."' title='$tag'>$tag</a></span>\n";
		}
	echo "</div>";
?>